Bug 837352 - repo update fails with --skip-types ""
repo update fails with --skip-types ""
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 11:20 EDT by Preethi Thomas
Modified: 2013-09-09 12:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:05:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-07-03 11:20:11 EDT
Description of problem:
Trying to update the --skip-types option to none with "" ends in error

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a repo with --skip-types option
2. run repo update with --skip-types ""
3.
  
Actual results:
[root@preethi-el6-pulp ~]# pulp-admin repo update --repo-id pulp-unittest --skip-types ""
An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.


Expected results:


Additional info:
from admin.log

2012-07-03 11:14:30,028 - ERROR - Client-side exception occurred
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/client/extensions/core.py", line 470, in run
    Cli.run(self, args)
  File "/usr/lib/python2.6/site-packages/okaara/cli.py", line 790, in run
    exit_code = command_or_section.execute(remaining_args)
  File "/usr/lib/python2.6/site-packages/okaara/cli.py", line 166, in execute
    self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/pulp/admin/extensions/rpm_repo/pulp_cli.py", line 218, in update
    importer_config = args_to_importer_config(kwargs)
  File "/usr/lib/pulp/admin/extensions/rpm_repo/pulp_cli.py", line 420, in args_to_importer_config
    skip_as_list = _convert_skip_types(importer_config['skip'])
  File "/usr/lib/pulp/admin/extensions/rpm_repo/pulp_cli.py", line 517, in _convert_skip_types
    parsed = skip_types.split(',')
AttributeError: 'NoneType' object has no attribute 'split'
Comment 1 Jay Dobies 2012-09-04 14:35:18 EDT
commit 5e2a38639ebc63763758734f9f6702af8bd5d1d2
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Tue Sep 4 14:34:24 2012 -0400

    837352 - Added proper None check for skip types

rpm-support/extensions/admin/rpm_repo/pulp_cli.py
Comment 2 Jeff Ortel 2012-09-06 16:04:50 EDT
merged.
Comment 3 Jeff Ortel 2012-09-11 09:31:31 EDT
build: 0.327
Comment 4 Preethi Thomas 2012-09-27 13:00:36 EDT
[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch
[root@pulp-master ~]# 

[root@pulp-master ~]# pulp-admin repo update --repo-id pulp --skip ""
Repository [pulp] successfully updated
Comment 5 Preethi Thomas 2013-01-09 12:05:18 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.